Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class IteratorClosureAdapter

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.runtime.IteratorClosureAdapter

    public class IteratorClosureAdapter
    extends Closure

A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class Closure
DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, OWNER_FIRST, OWNER_ONLY, SKIP, TO_SELF, maximumNumberOfParameters, parameterTypes

Constructor Summary
`IteratorClosureAdapter(java.lang.Object delegate)`

Method Summary
`java.util.List` | `asList()`
`protected java.lang.Object` | `doCall(java.lang.Object argument)`
`MetaClass` | `getMetaClass()`
`void` | `setMetaClass(MetaClass metaClass)`

Methods inherited from class Closure
asWritable, call, call, call, clone, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IteratorClosureAdapter

    public IteratorClosureAdapter(java.lang.Object delegate)

Method Detail

### asList

    public java.util.List asList()

### doCall

    protected java.lang.Object doCall(java.lang.Object argument)

### getMetaClass

    public MetaClass getMetaClass()

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

Groovy Documentation